Package: node-browserify-light
Severity: normal

--- Please enter the report below this line. ---

Dear maintainers,

currently the node-browserify-lite program is searching for node modules only
in the directory $PWD/node_modules.
Thus it is not possible to use node modules that are installed via other debian
packages. These are found below /usr/lib/nodejs.

I would like to bundle a local application (partially) based on the system-wide
installed node modules. This requires the above additional search path.

The NODE_PATH environment variable could be used to override the default
node_modules location, but it doesn’t seem to be used when resolving modules
recursively and therefor fails if a required module requires another module.
Thus this environment variable currently would not solve my problem.

Thank you for your time!

Cheers,
Lars

-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to